itpp::Packet_Channel Class Reference
Protocols Module

ADD DOCUMENTATION HERE. More...

`#include <itpp/protocol/packet_channel.h>`

## Public Member Functions

| Packet_Channel ()
| ADD DOCUMENTATION HERE.
| Packet_Channel (const double Pr, const Ttype Delay, const double Block_rate, const int Max_slots=0)
| ADD DOCUMENTATION HERE.
| ~Packet_Channel ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const double Pr, const Ttype Delay, const double Block_rate, const int Max_slots)
| ADD DOCUMENTATION HERE.
void | set_errors (const ivec &Lost)
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot< Packet_Channel, bool > | start
| ADD DOCUMENTATION HERE.
Slot< Packet_Channel, Link_Packet * > | input
| ADD DOCUMENTATION HERE.
Slot< Packet_Channel, int > | nof_inputs
| ADD DOCUMENTATION HERE.
Signal< Link_Packet * > | output
| ADD DOCUMENTATION HERE.
Signal< int > | input_request
| ADD DOCUMENTATION HERE.
Signal< void * > | get_nof_inputs
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE.

Definition at line 52 of file packet_channel.h.

The documentation for this class was generated from the following files:

- itpp/protocol/packet_channel.h
- itpp/protocol/packet_channel.cpp

Generated on Thu Aug 20 2015 21:02:53 for IT++ by Doxygen 1.8.9.1